Page MenuHomePhabricator

Package ClearTables to deploy it on maps servers
Closed, ResolvedPublic

Description

Since we are moving to use ClearTables (Git repo ?), we need to deploy those scripts on the maps servers. So we need some packaging / deployment strategy for it. Multiple solutions:

direct checkout of a git tag
We seem to do that for a few scripts. We do have a git::install puppet define that can be used for that. This would still need to clone ClearTables to our gerrit repo (we do not want external dependencies).

debian package
This seems more robust, but would require a bit more work to create a .deb package for ClearTables.

Event Timeline

Gehel created this task.Mar 16 2017, 3:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2017, 3:02 PM

In principle I like Debian packages, but doesn't seem worth the work since the "build" process is two one-line commands.

We're actually using a slightly modified ClearTables (v0.0.11.wikidata tag instead of v0.0.11) which adds a couple of tables. Everything should have first an upstream tag (e.g. v0.0.11) then the wm branch will have the WMF-specific changes and its own tag.

Change 348045 had a related patch set uploaded (by Gehel):
[maps/tilerator/deploy@master] adding meddo and ClearTables as a submodule of tilerator

https://gerrit.wikimedia.org/r/348045

debt moved this task from Backlog to To-do on the Maps-Sprint board.Oct 10 2017, 7:10 PM
Gehel moved this task from To-do to Done on the Maps-Sprint board.Dec 5 2017, 5:26 PM

In the end, the solution choosen is to deploy ClearTables using npm. Work is tracked on T160639. We can close this as a duplicate.

Change 348045 abandoned by Gehel:
adding meddo and ClearTables as a submodule of tilerator

https://gerrit.wikimedia.org/r/348045

Fjalapeno closed this task as Resolved.Jan 9 2018, 8:05 PM